
::ng-deep .main-panel .map-screen{
    width: calc(100% - 55px);
    margin-left: 55px;
  }
  ::ng-deep .main-panel.w-100 .map-screen{
    width: 100%;
    margin-left: 0;
  }
  table {
    width: 100%;
  }
  
  .mat-row {
    min-height: 65px;
    &.selected {
      background: #dddddd;
    }
  }
  
  agm-map {
    width: 100% !important;
    height: 100vh!important;
  }
  #map .gm-svpc {
    width: 500px !important;
    height: 30px !important;
   }
  .dropdown:hover>.dropdown-menu{
    display: block;
  }
  /* yellow person button design*/
  .gm-svpc {
      width: 30px !important;
      height: 30px !important;
  }
  .card-bodybeta{
    margin: 0px;
    padding: 0px;
    background-color: whitesmoke;
  }
  
  .mobile-width {
    width: 0;
  }
  ::ng-deep .main-panel .detail-vehicule-container {
    z-index: 5;
    position:absolute;
    width: 400px;
    right: 40px;
    top: 50px;
  }
  
  ::ng-deep .main-panel.w-100 .detail-vehicule-container {
    width: 100%;
    right: 0;
    top: 0;
  }
  ::ng-deep .main-panel .under-search-buttons {
    z-index: 4;
    position:absolute;
    top: 70px;
    button {
      font-size: 14px!important;
      margin: 0 5px;
      border-radius: 20px;
      background-color: #FFFFFF;
    }
    button.calendar-view-buttons {
      height: 35px;
      width: 35px;
      border-radius: 50%;
      display: flex;
      align-items: center;
      justify-content: center;
    }
  }
  .mobile-navbar {
    height: 60px;
    background-color: #354360;
    color: #FFFFFF;
    .tracking-navbar-mobile-title{
      font-size: 20px;
    }
  }
  ::ng-deep .wrapper.wrapper-mobile {
    overflow-y: hidden;
  }
  ::ng-deep.tracking-localize-button {
    background-color: rgb(255, 255, 255);
    z-index: 5;
    position:absolute;
    align-items:flex-start;
    width: 40px;
    height: 40px;
    left: 10px;
    bottom: 260px;
    border:none;
    border-radius: 2px;
  }
  ::ng-deep.tracking-localize-button.tracking-localize-button-mobile {
    z-index: 5;
    position:absolute;
    width: 56px;
    height: 56px;
    left: unset;
    right: 10px;
    bottom: 45px;
    border:none;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0 0 20px 1px #0000002e;
    button {
      display: flex;
      align-items: center;
      justify-content: center;
    }
  }
  .map-satellite {
    background-color: rgba(204, 204, 204, 0.24);
    z-index: 5;
    position:absolute;
    align-items:flex-start;
    width: 80px;
    height: 70px;
    left: 60px;
    bottom: 30px;
    border:none;
    border-radius: 15px;
  }
  .crop-free {
    background-color: rgb(255, 255, 255);
    z-index: 5;
    position:absolute;
    align-items:flex-start;
    width: 40px;
    height: 40px;
    left: 10px;
    bottom: 170px;
    border:none;
    border-radius: 2px;
  }
  .zoom-in-map {
    background-color: rgb(255, 255, 255);
    z-index: 5;
    position:absolute;
    align-items:flex-start;
    width: 40px;
    height: 40px;
    left: 10px;
    bottom: 125px;
    border: none;
    border-radius: 2px;
  }
  
  .zoom-out-map {
    background-color: rgb(255, 255, 255);
    z-index: 5;
    position:absolute;
    align-items: flex-start;
    width: 40px;
    height: 40px;
    left: 10px;
    bottom: 80px;
    border: none;
    border-radius: 2px;
  }
  .historique-btn-map {
    background-color: transparent !important;
    z-index: 5;
    position:absolute;
    border-radius: 50%;
    width: 70px;
    height: 70px;
    left: 40px;
    top: 60px;
    border: none;
    border-radius: 2px;
     
  }
  .historique-Gbtn-map {
    background-color: transparent !important;
    z-index: 5;
    display:flex;
    align-items: center;
    position:absolute;
    border-radius: 50%;
    width: auto;
    height: 50px;
    left: 40px;
    top: 61px;
    border: none;
    border-radius: 2px;
     
  }
  .historique-Calender-map  {
    background-color: transparent !important;
    z-index: 5;
    display:flex;
    align-items: center;
    position:absolute;
    border-radius: 50%;
    width: 900px;
    height: 450px;
    left: 212px;
    top: 130px;
    border: none;
    border-radius: 2px;
      
   }
   .historique-Calender-map button {
     background-color:#FFFFFF;
     height: 100%;
     width: 30%;
    
  }
  .historique-btn-map button {
    border-radius: 50%; border: none; background-color: transparent;
  }
  .historique-btn-map button :hover {
   border:3px solid transparent;
  }
  .custom-select{
    width: 368px;
    height: 45px;
    position: fixed;
    right: 60px;
    top: 65px;
  }
  .custom-switch{
    height: 1.5rem;
  }
  .custom-control-input:focus ~ 
  .custom-control-label::before {
        /* when the button is toggled off 
  it is still in focus and a violet border will appear */
        border-color: #354360 !important;
        /* box shadow is blue by default
  but we do not want any shadow hence we have set 
  all the values as 0 */
        box-shadow:
          0 0 0 0rem rgba(0, 0, 0, 0) !important;
    }
  
    /*sets the background color of
  switch to violet when it is checked*/
    .custom-control-input:checked ~ 
  .custom-control-label::before {
        border-color: #354360 !important;
        background-color: #354360 !important;
    }
  
    /*sets the background color of
  switch to violet when it is active*/
    .custom-control-input:active ~ 
  .custom-control-label::before {
        background-color: #354360 !important;
        border-color: #354360 !important;
    }
  
    /*sets the border color of switch
  to violet when it is not checked*/
    .custom-control-input:focus:not(:checked) ~ .custom-control-label::before {
        border-color: #354360 !important;
    }
  .full-screen-buttons {
    margin-left: 55px;
  }
  .slidecontainer {
    width: 70%; /* Width of the outside container */
  }
  
  /* The slider itself */
  .slider {
    -webkit-appearance: none;  /* Override default CSS styles */
    appearance: none;
    width: 100%; /* Full-width */
    height: 5px;
    border-radius: 5px;
    background: #df7e7e; /* Grey background */
    outline: none; /* Remove outline */
    opacity: 0.7; /* Set transparency (for mouse-over effects on hover) */
    -webkit-transition: .2s; /* 0.2 seconds transition on hover */
    transition: opacity .2s;
  }
  
  /* Mouse-over effects */
  .slider:hover {
    opacity: 1; /* Fully shown on mouse-over */
  height: 9px;
  }
  .sliderP{
    height: 28px !important;
    position: absolute;
    left: 40%;
    bottom: 80%;
    width: 200px;
    border: 0px solid #000000;
    border-radius: 50px; 
    text-align: center;
    background-color: #354360;
    p{
      text-align:left;
      margin:auto auto;
      display: inline-flex;
    }
    small{
    color: rgb(248, 248, 248);
    padding: 2px ;
    margin: auto;
  }
  }
  .slider:hover::-webkit-slider-thumb {
    width:20px;
    height: 20px;
  
    box-shadow: 1px 2px 3px rgba(0, 0, 0, 0.6);
  }
  
  /* The slider handle (use -webkit- (Chrome, Opera, Safari, Edge) and -moz- (Firefox) to override default look) */
  .slider::-webkit-slider-thumb {
    -webkit-appearance: none; /* Override default look */
    appearance: none;
    width: 15px; /* Set a specific slider handle width */
    height: 15px;
    border-radius: 50%; 
    background: #354360; /* Green background */
    cursor: pointer; /* Cursor on hover */
  }
  
  .slider::-moz-range-thumb {
    width: 25px; /* Set a specific slider handle width */
    height: 25px;
    border-radius: 50%;
    background: #354360; /* Green background */
    cursor: pointer; /* Cursor on hover */
  }
  .sliderbutton{
      width:35px;
      height: 35px;
      position:fixed;
      bottom:1%;
      left: 14%;
      border-radius:80%;
      background-color: #354360;
      border:0px ridge rgba(10, 10, 10, 0.661);
      display: flex;
      justify-content: center;
      text-align: center;
        i{
            color: rgb(255, 255, 255);
            position: relative;
            top: 25%;
        }
  }
  
  
  
  
  .detail-block {
    background-color: #354360;
    width: 100%;
    border-radius: 5px 5px 0px 0px;
    height: 43px;
    display: flex;
    align-items: center;
    margin: auto;
      padding: 2%;
      position: relative;
    label {
        color: rgb(238, 238, 238);
        text-indent: 10px;
    }
  }
  .detail-block-img {
    background-color: #354360;
    width: 100%;
    border-radius: 5px;
    height: 160px;
    display: flex;
    align-items: center;
  
    label {
        color: rgb(238, 238, 238);
        text-indent: 10px;
    }
  }
  .scroll-zone-carre{
    overflow-y: scroll;
    overflow-x: hidden;
    height: 150px;
    width: 100%;
  }
  .scroll-card{
    overflow-y: visible;
   overflow-X:hidden;
   height: auto;
   max-height: 400px;
  }
  .back-color-blue{
    background-color: rgb(248, 250, 251) !important;
    border-top:1px solid #EFEFEF !important;
    border-bottom:1px solid #EFEFEF !important;
  
  }
  .back-color-blue-m{
    background-color: rgb(248, 250, 251) !important;
    border-top:1px solid #EFEFEF !important;
    border-bottom:1px solid #EFEFEF !important;
    margin-left: -10px !important;
    margin-right:-13px !important;
    text-indent: 23px;
  
  }
  .vignettesmileys 
  {
  border-width:2px;
  border-color:red;
  margin-right:8px;
  margin-bottom:0px;
  border-radius: 1px;	
  width:100%;
  height:100%;
  background-color:white;
  float:left;
  display:block;
  }
  
  .vignettesmileys img { 
  max-height: 100%;
  max-width: 100%;
  display:block;
  }
  .contenu-card {
    background-color: rgb(255, 255, 255);
    width: 100%;
    height: 100%;
    border-radius: 5px;
    margin-top: 0px;
    display: grid;
    .text-card {
        text-indent: 10px;
        padding-top: 0px;
    }
  }